package com.rshy.project.hy;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;


@MapperScan(basePackages = {"com.rshy.project.hy.mapper"})
@ComponentScan(basePackages = {"com.rshy.**"})
@SpringBootApplication
@EnableScheduling
public class RshyApplication {

    public static void main(String[] args) {
        ConfigurableApplicationContext applicationContext = SpringApplication.run(RshyApplication.class, args);
        //解决websocket不能注入bean的问题
        //WebSocketServer.setApplicationContext(applicationContext);
    }


}
