package com.rshy.project.hy.config;

import org.springframework.beans.factory.annotation.Configurable;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;


/**
 * <h3>SaTokenConfigure</h3>
 * <p></p>
 *
 * @author : lishuo
 * @version : 1.0
 * @date : 2021-05-18 11:39
 **/
@Configurable
@Component
public class SaTokenConfigure implements WebMvcConfigurer {

    /**
     * 放行路径
     */
    String [] excludePatterns = {
            "/appUser/wxLoginTwo",
            "/appUser/wxLogin",
            "/user/login",
            "/webSocket",
            "/appUser/getUserInfo",
            "/static/**",
            "/doc.html/**",
            "/webjars/**",
            "/favicon.ico",
            "/error",
            "/sockjs-node/info",
            "/swagger-resources/**",
            "/callBack/**",
            "/task/refreshAccessToken"
    };

    // 注册sa-token的拦截器
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 注册路由拦截器，自定义验证规则
//        registry.addInterceptor(new SaRouteInterceptor((request, response, handler) -> {
//            // 登录验证 -- 排除多个路径
//            SaRouterUtil.match(Arrays.asList("/**"),Arrays.asList(excludePatterns),
//                    () -> StpUtil.checkLogin());
//        })).addPathPatterns("/**");
    }
}
